2022-05-26 11:06:25 -04:00
|
|
|
---
|
|
|
|
|
aliases:
|
2026-04-29 08:19:49 -04:00
|
|
|
- ../../../../http_api/other/ # /docs/grafana/next/http_api/other/
|
|
|
|
|
- ../../../../developers/http_api/other/ # /docs/grafana/next/developers/http_api/other/
|
2026-04-15 06:17:11 -04:00
|
|
|
- ../../../../developer-resources/api-reference/http-api/other/ #legacy folder
|
|
|
|
|
canonical: https://grafana.com/docs/grafana/latest/developer-resources/api-reference/http-api/api-legacy/other/
|
2022-05-26 11:06:25 -04:00
|
|
|
description: Grafana Other HTTP API
|
|
|
|
|
keywords:
|
|
|
|
|
- grafana
|
|
|
|
|
- http
|
|
|
|
|
- documentation
|
|
|
|
|
- api
|
|
|
|
|
- other
|
Explicitly set all front matter labels in the source files (#71548)
* Set every page to have defaults of 'Enterprise' and 'Open source' labels
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration pages to have of 'Cloud', 'Enterprise', and 'Open source' labels
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration/enterprise-licensing pages to have 'Enterprise' labels
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration/organization-management pages to have 'Enterprise' and 'Open source' labels
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration/provisioning pages to have 'Enterprise' and 'Open source' labels
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration/recorded-queries pages to have labels cloud,enterprise
* Set administration/roles-and-permissions/access-control pages to have labels cloud,enterprise
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration/stats-and-license pages to have labels cloud,enterprise
* Set alerting pages to have labels cloud,enterprise,oss
* Set breaking-changes pages to have labels cloud,enterprise,oss
* Set dashboards pages to have labels cloud,enterprise,oss
* Set datasources pages to have labels cloud,enterprise,oss
* Set explore pages to have labels cloud,enterprise,oss
* Set fundamentals pages to have labels cloud,enterprise,oss
* Set introduction/grafana-cloud pages to have labels cloud
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Fix introduction pages products
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set panels-visualizations pages to have labels cloud,enterprise,oss
* Set release-notes pages to have labels cloud,enterprise,oss
* Set search pages to have labels cloud,enterprise,oss
* Set setup-grafana/configure-security/audit-grafana pages to have labels cloud,enterprise
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set setup-grafana/configure-security/configure-authentication pages to have labels cloud,enterprise,oss
* Set setup-grafana/configure-security/configure-authentication/enhanced-ldap pages to have labels cloud,enterprise
* Set setup-grafana/configure-security/configure-authentication/saml pages to have labels cloud,enterprise
* Set setup-grafana/configure-security/configure-database-encryption/encrypt-secrets-using-hashicorp-key-vault pages to have labels cloud,enterprise
* Set setup-grafana/configure-security/configure-request-security pages to have labels cloud,enterprise,oss
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set setup-grafana/configure-security/configure-team-sync pages to have labels cloud,enterprise
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set setup-grafana/configure-security/export-logs pages to have labels cloud,enterprise
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set troubleshooting pages to have labels cloud,enterprise,oss
* Set whatsnew pages to have labels cloud,enterprise,oss
* Apply updated labels from review
Co-authored-by: brendamuir <100768211+brendamuir@users.noreply.github.com>
Co-authored-by: Isabel <76437239+imatwawana@users.noreply.github.com>
---------
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
Co-authored-by: brendamuir <100768211+brendamuir@users.noreply.github.com>
Co-authored-by: Isabel <76437239+imatwawana@users.noreply.github.com>
2023-07-18 04:10:12 -04:00
|
|
|
labels:
|
|
|
|
|
products:
|
|
|
|
|
- enterprise
|
|
|
|
|
- oss
|
2022-05-26 11:06:25 -04:00
|
|
|
title: 'Other HTTP API '
|
|
|
|
|
---
|
2016-11-24 04:16:24 -05:00
|
|
|
|
2016-02-05 04:47:34 -05:00
|
|
|
# Frontend Settings API
|
2016-02-03 01:59:22 -05:00
|
|
|
|
2026-04-16 09:59:25 -04:00
|
|
|
{{< docs/shared lookup="developers/deprecated-apis.md" source="grafana" version="<GRAFANA_VERSION>" >}}
|
2026-04-15 06:17:11 -04:00
|
|
|
|
2016-02-05 04:47:34 -05:00
|
|
|
## Get Settings
|
2016-02-03 01:59:22 -05:00
|
|
|
|
|
|
|
|
`GET /api/frontend/settings`
|
|
|
|
|
|
|
|
|
|
**Example Request**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
GET /api/frontend/settings HTTP/1.1
|
|
|
|
|
Accept: application/json
|
|
|
|
|
Content-Type: application/json
|
|
|
|
|
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
|
|
|
|
|
```
|
2016-02-03 01:59:22 -05:00
|
|
|
|
|
|
|
|
**Example Response**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
HTTP/1.1 200
|
|
|
|
|
Content-Type: application/json
|
|
|
|
|
|
|
|
|
|
{
|
|
|
|
|
"allowOrgCreate":true,
|
|
|
|
|
"appSubUrl":"",
|
|
|
|
|
"buildInfo":{
|
|
|
|
|
"buildstamp":xxxxxx,
|
|
|
|
|
"commit":"vyyyy",
|
|
|
|
|
"version":"zzzzz"
|
|
|
|
|
},
|
|
|
|
|
"datasources":{
|
|
|
|
|
"datasourcename":{
|
|
|
|
|
"index":"grafana-dash",
|
|
|
|
|
"meta":{
|
|
|
|
|
"annotations":true,
|
|
|
|
|
"module":"plugins/datasource/grafana/datasource",
|
|
|
|
|
"name":"Grafana",
|
|
|
|
|
"partials":{
|
|
|
|
|
"annotations":"app/plugins/datasource/grafana/partials/annotations.editor.html",
|
|
|
|
|
"config":"app/plugins/datasource/grafana/partials/config.html"
|
|
|
|
|
},
|
|
|
|
|
"pluginType":"datasource",
|
|
|
|
|
"serviceName":"Grafana",
|
|
|
|
|
"type":"grafanasearch"
|
|
|
|
|
}
|
2016-02-03 01:59:22 -05:00
|
|
|
}
|
2017-10-05 13:01:03 -04:00
|
|
|
},
|
|
|
|
|
"defaultDatasource": "Grafana"
|
|
|
|
|
}
|
|
|
|
|
```
|
2016-02-03 01:59:22 -05:00
|
|
|
|
2016-02-05 04:47:34 -05:00
|
|
|
# Login API
|
2016-02-03 01:59:22 -05:00
|
|
|
|
2016-02-05 04:47:34 -05:00
|
|
|
## Renew session based on remember cookie
|
2016-02-03 01:59:22 -05:00
|
|
|
|
|
|
|
|
`GET /api/login/ping`
|
|
|
|
|
|
|
|
|
|
**Example Request**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
GET /api/login/ping HTTP/1.1
|
|
|
|
|
Accept: application/json
|
|
|
|
|
Content-Type: application/json
|
|
|
|
|
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
|
|
|
|
|
```
|
2016-02-03 01:59:22 -05:00
|
|
|
|
|
|
|
|
**Example Response**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
HTTP/1.1 200
|
|
|
|
|
Content-Type: application/json
|
2016-02-03 01:59:22 -05:00
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
{"message": "Logged in"}
|
2019-01-25 11:52:28 -05:00
|
|
|
```
|
|
|
|
|
|
|
|
|
|
# Health API
|
|
|
|
|
|
|
|
|
|
## Returns health information about Grafana
|
|
|
|
|
|
|
|
|
|
`GET /api/health`
|
|
|
|
|
|
|
|
|
|
**Example Request**
|
|
|
|
|
|
|
|
|
|
```http
|
|
|
|
|
GET /api/health
|
|
|
|
|
Accept: application/json
|
|
|
|
|
```
|
|
|
|
|
|
|
|
|
|
**Example Response**:
|
|
|
|
|
|
|
|
|
|
```http
|
|
|
|
|
HTTP/1.1 200 OK
|
|
|
|
|
|
|
|
|
|
{
|
|
|
|
|
"commit": "087143285",
|
|
|
|
|
"database": "ok",
|
|
|
|
|
"version": "5.1.3"
|
|
|
|
|
}
|
|
|
|
|
```
|